Xerces-C++ 3.2.4

List of all members
DOMLSOutput Class Referenceabstract

This interface represents an output destination for data. More...

`#include <xercesc/dom/DOMLSOutput.hpp>`

## Public Member Functions
Destructor
virtual | ~DOMLSOutput ()
| Destructor. More...
Functions introduced in DOM Level 3
virtual XMLFormatTarget * | getByteStream () const =0
| Returns the byte stream for this input source. More...
virtual const XMLCh * | getEncoding () const =0
| An input source can be set to force the parser to assume a particular encoding for the data that input source reprsents, via the setEncoding() method. More...
virtual const XMLCh * | getSystemId () const =0
| Get the system identifier for this input source. More...
virtual void | setByteStream (XMLFormatTarget *stream)=0
| Sets the byte stream for this input source. More...
virtual void | setEncoding (const XMLCh *const encodingStr)=0
| Set the encoding which will be required for use with the XML text read via a stream opened by this input source. More...
virtual void | setSystemId (const XMLCh *const systemId)=0
| Set the system identifier for this input source. More...
Non-standard Extension
virtual void | release ()=0
| Called to indicate that this DOMLSOutput is no longer in use and that the implementation may relinquish any resources associated with it. More...

## Protected Member Functions
Hidden constructors
| DOMLSOutput ()

## Detailed Description

This interface represents an output destination for data.

See also
  XMLFormatTarget

Since
  DOM Level 3

## Constructor & Destructor Documentation

## ◆ DOMLSOutput()

DOMLSOutput::DOMLSOutput | ( |  | ) |
| protected

## ◆ ~DOMLSOutput()

virtual DOMLSOutput::~DOMLSOutput | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ getByteStream()

virtual XMLFormatTarget * DOMLSOutput::getByteStream | ( |  | ) | const
| pure virtual

Returns the byte stream for this input source.

See also
  InputSource

## ◆ getEncoding()

virtual const XMLCh * DOMLSOutput::getEncoding | ( |  | ) | const
| pure virtual

An input source can be set to force the parser to assume a particular encoding for the data that input source reprsents, via the setEncoding() method.

This method returns name of the encoding that is to be forced. If the encoding has never been forced, it returns a null pointer.

Returns
  The forced encoding, or null if none was supplied.

See also
  setEncoding

Since
  DOM Level 3

## ◆ getSystemId()

virtual const XMLCh * DOMLSOutput::getSystemId | ( |  | ) | const
| pure virtual

Get the system identifier for this input source.

If the system ID is a URL, it will be fully resolved.

Returns
  The system identifier.

See also
  setSystemId

Since
  DOM Level 3

## ◆ release()

virtual void DOMLSOutput::release | ( |  | ) |
| pure virtual

Called to indicate that this DOMLSOutput is no longer in use and that the implementation may relinquish any resources associated with it.

Access to a released object will lead to unexpected result.

## ◆ setByteStream()

virtual void DOMLSOutput::setByteStream | ( | XMLFormatTarget * | stream | ) |
| pure virtual

Sets the byte stream for this input source.

See also
  BinInputStream

## ◆ setEncoding()

virtual void DOMLSOutput::setEncoding | ( | const XMLCh *const | encodingStr | ) |
| pure virtual

Set the encoding which will be required for use with the XML text read via a stream opened by this input source.

This is usually not set, allowing the encoding to be sensed in the usual XML way. However, in some cases, the encoding in the file is known to be incorrect because of intermediate transcoding, for instance encapsulation within a MIME document.

Parameters

  encodingStr | The name of the encoding to force.

Since
  DOM Level 3

## ◆ setSystemId()

virtual void DOMLSOutput::setSystemId | ( | const XMLCh *const | systemId | ) |
| pure virtual

Set the system identifier for this input source.

The system id is always required. The public id may be used to map to another system id, but the system id must always be present as a fall back.

If the system ID is a URL, it must be fully resolved.

Parameters

  systemId | The system identifier as a string.

See also
  getSystemId

Since
  DOM Level 3

The documentation for this class was generated from the following file:

- DOMLSOutput.hpp